import request from '@/utils/request'

// 查询列表
export function queryList(params) {
  return request({
    url: '/chcheckorder/queryChCheckOrderByPagination',
    method: 'get',
    params
  })
}
export function aliOcr(businessId) {
  return request({
    url: '/chcheckorder/aliOcr/' + businessId,
    method: 'get'
  })
}

// 获取ocr扫描数据
export function getOcrData(params) {
  return request({
    url: '/chcheckorder/submit',
    method: 'post',
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 新增扫描的数据
export function addOcrData(params) {
  return request({
    url: '/chcheckorder/add',
    method: 'post',
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 新增扫描的数据
export function updateOcrData(params) {
  return request({
    url: '/chcheckorder/update/' + params.businessId,
    method: 'put',
    data: params,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

// 删除订单检查数据
export function deleteLogical(id) {
  return request({
    url: '/chcheckorder/deleteLogical/' + id,
    method: 'delete'
  })
}

// 查看订单检查详情
export function getDetailById(id) {
  return request({
    url: '/chcheckorder/detail/' + id,
    method: 'get'
  })
}

// 导出信息接口
export function exportTable(params) {
  return request({
    url: '/chcheckorder/export',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

// 7.上传接口
export function uploadPublic(data) {
  return request({
    url: 'common/fileUpload',
    method: 'post',
    data
  })
}
